Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface JMSConstants

All Known Subinterfaces:
  JMSConnectionFactoryMBean, JMSDestCommonMBean, JMSDestinationKeyMBean, JMSDestinationMBean, JMSDistributedDestinationMBean, JMSDistributedDestinationMemberMBean, JMSDistributedQueueMBean, JMSDistributedQueueMemberMBean, JMSDistributedTopicMBean, JMSDistributedTopicMemberMBean, JMSQueueMBean, JMSServerMBean, JMSSessionPoolMBean, JMSTemplateMBean, JMSTopicMBean, JMSVirtualDestinationMBean, VirtualDestinationMBean

public interface JMSConstants

This class holds the JMS constant property/attribute names and values.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `ACKNOWLEDGE_ALL`
`static String` | `ACKNOWLEDGE_MODE_AUTO`
`static String` | `ACKNOWLEDGE_MODE_CLIENT`
`static String` | `ACKNOWLEDGE_MODE_DUPS_OK`
`static String` | `ACKNOWLEDGE_MODE_NONE`
`static String` | `ACKNOWLEDGE_ONE`
`static String` | `ACKNOWLEDGE_PREVIOUS`
`static String` | `ALWAYSFORWARD`
`static String` | `AT_LEAST_ONCE`
`static String` | `AT_MOST_ONCE`
`static String` | `AUTH_PRINS`
`static String` | `CONSUMPTION_ENABLED` constants for destination state for consumption pause
`static String` | `CONSUMPTION_PAUSED`
`static String` | `CONSUMPTION_PAUSING`
`static long` | `DEFAULT_MESSAGE_BUFFER_SIZE` This is the default size of the message buffer used for paging.
`static String` | `DESTINATION_TYPE_QUEUE`
`static String` | `DESTINATION_TYPE_TOPIC`
`static String` | `DISABLED`
`static String` | `DISCARD`
`static String` | `ENABLED`
`static String` | `ENABLED_DEFAULT`
`static String` | `ENABLED_FALSE`
`static String` | `ENABLED_TRUE`
`static String` | `ERRORDESTINATION`
`static String` | `EXACTLY_ONCE` constants for store-and-foward non-persistent QOS
`static String` | `EXPORT_TO_ALL` constants for SAF export polocy
`static String` | `EXPORT_TO_NONE`
`static String` | `FIFO`
`static String` | `INITIALCONTEXTFACTORY` This the default initial jndi context factory used for JMS SAF
`static String` | `INSERTION_ENABLED` constants for destination state for consumption pause
`static String` | `INSERTION_PAUSED`
`static String` | `INSERTION_PAUSING`
`static String` | `KEEP_NEW`
`static String` | `KEEP_OLD`
`static String` | `KEY_DIRECTION_ASCENDING`
`static String` | `KEY_DIRECTION_DESCENDING`
`static String` | `KEY_TYPE_BOOLEAN`
`static String` | `KEY_TYPE_BYTE`
`static String` | `KEY_TYPE_DOUBLE`
`static String` | `KEY_TYPE_FLOAT`
`static String` | `KEY_TYPE_INT`
`static String` | `KEY_TYPE_LONG`
`static String` | `KEY_TYPE_SHORT`
`static String` | `KEY_TYPE_STRING`
`static String` | `LOGGING`
`static String` | `NEVER`
`static String` | `NO_DELIVERY`
`static String` | `NON_PERSISTENT`
`static String` | `NON_XML`
`static String` | `PAUSED_AT_STARTUP_DEFAULT`
`static String` | `PAUSED_AT_STARTUP_FALSE`
`static String` | `PAUSED_AT_STARTUP_TRUE`
`static String` | `PERSISTENT`
`static String` | `PREEMPTIVE`
`static int` | `PRIORITY_DEFAULT`
`static int` | `PRIORITY_MAXIMUM`
`static int` | `PRIORITY_MINIMUM`
`static String` | `PRODUCTION_ENABLED` constants for destination state for production pause
`static String` | `PRODUCTION_PAUSED`
`static String` | `PRODUCTION_PAUSING`
`static String` | `RANDOM`
`static String` | `ROUND_ROBIN`
`static long` | `SEND_QUOTA_BLOCKING_TIMEOUT`
`static String` | `STORE_ENABLED_DEFAULT`
`static String` | `STORE_ENABLED_FALSE`
`static String` | `STORE_ENABLED_TRUE`
`static String` | `STORE_TYPE_FILE`
`static String` | `STORE_TYPE_JDBC`
`static String` | `SUPPORTS`
`static String` | `SYNCWRITE_CACHEFLUSH`
`static String` | `SYNCWRITE_DIRECTWRITE`
`static String` | `SYNCWRITE_DISABLED`
`static String` | `TOPIC_SUBSCRIBER_ONLY`
`static String` | `TRANSACTION_MODE_51`
`static String` | `TRANSACTION_MODE_NONE`
`static String` | `TRANSACTION_MODE_XA`
`static String` | `UNITOFORDER_STANDARD` constants for unit of order option on connection factory
`static String` | `UNITOFORDER_SYSTEM`
`static String` | `XML` constants for message logging style
`static String` | `XMLALL`

Field Detail

### ACKNOWLEDGE_ALL

    public static final String ACKNOWLEDGE_ALL

See Also:
  Constant Field Values

### ACKNOWLEDGE_MODE_AUTO

    public static final String ACKNOWLEDGE_MODE_AUTO

See Also:
  Constant Field Values

### ACKNOWLEDGE_MODE_CLIENT

    public static final String ACKNOWLEDGE_MODE_CLIENT

See Also:
  Constant Field Values

### ACKNOWLEDGE_MODE_DUPS_OK

    public static final String ACKNOWLEDGE_MODE_DUPS_OK

See Also:
  Constant Field Values

### ACKNOWLEDGE_MODE_NONE

    public static final String ACKNOWLEDGE_MODE_NONE

See Also:
  Constant Field Values

### ACKNOWLEDGE_ONE

    public static final String ACKNOWLEDGE_ONE

See Also:
  Constant Field Values

### ACKNOWLEDGE_PREVIOUS

    public static final String ACKNOWLEDGE_PREVIOUS

See Also:
  Constant Field Values

### ALWAYSFORWARD

    public static final String ALWAYSFORWARD

See Also:
  Constant Field Values

### AT_LEAST_ONCE

    public static final String AT_LEAST_ONCE

See Also:
  Constant Field Values

### AT_MOST_ONCE

    public static final String AT_MOST_ONCE

See Also:
  Constant Field Values

### AUTH_PRINS

    public static final String AUTH_PRINS

See Also:
  Constant Field Values

### CONSUMPTION_ENABLED

    public static final String CONSUMPTION_ENABLED

  constants for destination state for consumption pause

  See Also:
    Constant Field Values

### CONSUMPTION_PAUSED

    public static final String CONSUMPTION_PAUSED

See Also:
  Constant Field Values

### CONSUMPTION_PAUSING

    public static final String CONSUMPTION_PAUSING

See Also:
  Constant Field Values

### DEFAULT_MESSAGE_BUFFER_SIZE

    public static final long DEFAULT_MESSAGE_BUFFER_SIZE

  This is the default size of the message buffer used for paging.

  See Also:
    Constant Field Values

### DESTINATION_TYPE_QUEUE

    public static final String DESTINATION_TYPE_QUEUE

See Also:
  Constant Field Values

### DESTINATION_TYPE_TOPIC

    public static final String DESTINATION_TYPE_TOPIC

See Also:
  Constant Field Values

### DISABLED

    public static final String DISABLED

See Also:
  Constant Field Values

### DISCARD

    public static final String DISCARD

See Also:
  Constant Field Values

### ENABLED

    public static final String ENABLED

See Also:
  Constant Field Values

### ENABLED_DEFAULT

    public static final String ENABLED_DEFAULT

See Also:
  Constant Field Values

### ENABLED_FALSE

    public static final String ENABLED_FALSE

See Also:
  Constant Field Values

### ENABLED_TRUE

    public static final String ENABLED_TRUE

See Also:
  Constant Field Values

### ERRORDESTINATION

    public static final String ERRORDESTINATION

See Also:
  Constant Field Values

### EXACTLY_ONCE

    public static final String EXACTLY_ONCE

  constants for store-and-foward non-persistent QOS

  See Also:
    Constant Field Values

### EXPORT_TO_ALL

    public static final String EXPORT_TO_ALL

  constants for SAF export polocy

  See Also:
    Constant Field Values

### EXPORT_TO_NONE

    public static final String EXPORT_TO_NONE

See Also:
  Constant Field Values

### FIFO

    public static final String FIFO

See Also:
  Constant Field Values

### INITIALCONTEXTFACTORY

    public static final String INITIALCONTEXTFACTORY

  This the default initial jndi context factory used for JMS SAF

  See Also:
    Constant Field Values

### INSERTION_ENABLED

    public static final String INSERTION_ENABLED

  constants for destination state for consumption pause

  See Also:
    Constant Field Values

### INSERTION_PAUSED

    public static final String INSERTION_PAUSED

See Also:
  Constant Field Values

### INSERTION_PAUSING

    public static final String INSERTION_PAUSING

See Also:
  Constant Field Values

### KEEP_NEW

    public static final String KEEP_NEW

See Also:
  Constant Field Values

### KEEP_OLD

    public static final String KEEP_OLD

See Also:
  Constant Field Values

### KEY_DIRECTION_ASCENDING

    public static final String KEY_DIRECTION_ASCENDING

See Also:
  Constant Field Values

### KEY_DIRECTION_DESCENDING

    public static final String KEY_DIRECTION_DESCENDING

See Also:
  Constant Field Values

### KEY_TYPE_BOOLEAN

    public static final String KEY_TYPE_BOOLEAN

See Also:
  Constant Field Values

### KEY_TYPE_BYTE

    public static final String KEY_TYPE_BYTE

See Also:
  Constant Field Values

### KEY_TYPE_DOUBLE

    public static final String KEY_TYPE_DOUBLE

See Also:
  Constant Field Values

### KEY_TYPE_FLOAT

    public static final String KEY_TYPE_FLOAT

See Also:
  Constant Field Values

### KEY_TYPE_INT

    public static final String KEY_TYPE_INT

See Also:
  Constant Field Values

### KEY_TYPE_LONG

    public static final String KEY_TYPE_LONG

See Also:
  Constant Field Values

### KEY_TYPE_SHORT

    public static final String KEY_TYPE_SHORT

See Also:
  Constant Field Values

### KEY_TYPE_STRING

    public static final String KEY_TYPE_STRING

See Also:
  Constant Field Values

### LOGGING

    public static final String LOGGING

See Also:
  Constant Field Values

### NEVER

    public static final String NEVER

See Also:
  Constant Field Values

### NO_DELIVERY

    public static final String NO_DELIVERY

See Also:
  Constant Field Values

### NON_PERSISTENT

    public static final String NON_PERSISTENT

See Also:
  Constant Field Values

### NON_XML

    public static final String NON_XML

See Also:
  Constant Field Values

### PAUSED_AT_STARTUP_DEFAULT

    public static final String PAUSED_AT_STARTUP_DEFAULT

See Also:
  Constant Field Values

### PAUSED_AT_STARTUP_FALSE

    public static final String PAUSED_AT_STARTUP_FALSE

See Also:
  Constant Field Values

### PAUSED_AT_STARTUP_TRUE

    public static final String PAUSED_AT_STARTUP_TRUE

See Also:
  Constant Field Values

### PERSISTENT

    public static final String PERSISTENT

See Also:
  Constant Field Values

### PREEMPTIVE

    public static final String PREEMPTIVE

See Also:
  Constant Field Values

### PRIORITY_DEFAULT

    public static final int PRIORITY_DEFAULT

See Also:
  Constant Field Values

### PRIORITY_MAXIMUM

    public static final int PRIORITY_MAXIMUM

See Also:
  Constant Field Values

### PRIORITY_MINIMUM

    public static final int PRIORITY_MINIMUM

See Also:
  Constant Field Values

### PRODUCTION_ENABLED

    public static final String PRODUCTION_ENABLED

  constants for destination state for production pause

  See Also:
    Constant Field Values

### PRODUCTION_PAUSED

    public static final String PRODUCTION_PAUSED

See Also:
  Constant Field Values

### PRODUCTION_PAUSING

    public static final String PRODUCTION_PAUSING

See Also:
  Constant Field Values

### RANDOM

    public static final String RANDOM

See Also:
  Constant Field Values

### ROUND_ROBIN

    public static final String ROUND_ROBIN

See Also:
  Constant Field Values

### SEND_QUOTA_BLOCKING_TIMEOUT

    public static final long SEND_QUOTA_BLOCKING_TIMEOUT

See Also:
  Constant Field Values

### STORE_ENABLED_DEFAULT

    public static final String STORE_ENABLED_DEFAULT

See Also:
  Constant Field Values

### STORE_ENABLED_FALSE

    public static final String STORE_ENABLED_FALSE

See Also:
  Constant Field Values

### STORE_ENABLED_TRUE

    public static final String STORE_ENABLED_TRUE

See Also:
  Constant Field Values

### STORE_TYPE_FILE

    public static final String STORE_TYPE_FILE

See Also:
  Constant Field Values

### STORE_TYPE_JDBC

    public static final String STORE_TYPE_JDBC

See Also:
  Constant Field Values

### SUPPORTS

    public static final String SUPPORTS

See Also:
  Constant Field Values

### SYNCWRITE_CACHEFLUSH

    public static final String SYNCWRITE_CACHEFLUSH

See Also:
  Constant Field Values

### SYNCWRITE_DIRECTWRITE

    public static final String SYNCWRITE_DIRECTWRITE

See Also:
  Constant Field Values

### SYNCWRITE_DISABLED

    public static final String SYNCWRITE_DISABLED

See Also:
  Constant Field Values

### TOPIC_SUBSCRIBER_ONLY

    public static final String TOPIC_SUBSCRIBER_ONLY

See Also:
  Constant Field Values

### TRANSACTION_MODE_51

    public static final String TRANSACTION_MODE_51

See Also:
  Constant Field Values

### TRANSACTION_MODE_NONE

    public static final String TRANSACTION_MODE_NONE

See Also:
  Constant Field Values

### TRANSACTION_MODE_XA

    public static final String TRANSACTION_MODE_XA

See Also:
  Constant Field Values

### UNITOFORDER_STANDARD

    public static final String UNITOFORDER_STANDARD

  constants for unit of order option on connection factory

  See Also:
    Constant Field Values

### UNITOFORDER_SYSTEM

    public static final String UNITOFORDER_SYSTEM

See Also:
  Constant Field Values

### XML

    public static final String XML

  constants for message logging style

  See Also:
    Constant Field Values

### XMLALL

    public static final String XMLALL

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD